<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Notify\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class NotifyPush extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="NotifyPush"; 
		$this->Alias = "NotifyPush"; 

		$this->Name = new Property("Name", "Name", TEXTAREA,  false, $this->Alias); 
		$this->Description = new Property("Description", "Description", TEXTAREA,  false, $this->Alias); 
		$this->Message = new Property("Message", "Message", TEXTAREA,  false, $this->Alias); 
		$this->DateSend = new Property("DateSend", "DateSend", DATEBOX,  false, $this->Alias); 
		$this->HourSend = new Property("HourSend", "HourSend", DATETIMEBOX,  false, $this->Alias); 
		$this->Filters = new Property("Filters", "Filters", TEXTAREA,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>